package com.nisum.banderson;

import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.FindBy;
import org.openqa.selenium.support.PageFactory;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

public class AccountPage extends Page {
    @FindBy(xpath = "//*[@id=\"uca-root\"]/main/div/div/div[2]/div/p[1]")
    WebElement heading;

    @FindBy(id = "input-firstName")
    WebElement firstNameInput;

    @FindBy(id = "input-lastName")
    WebElement lastNameInput;

    @FindBy(id = "emailIdaccount")
    WebElement emailInput;

    public AccountPage(WebDriver driver) {
        super(driver);
    }

    public void navigateTo() {
        new Login(getDriver()).login();
        Header header = new Header(getDriver());
        Sidebar sidebar = new Sidebar(getDriver());
        PageFactory.initElements(getDriver(), sidebar);
        PageFactory.initElements(getDriver(), this);

        header.getOpenSidebarButton().click();
        sidebar.accountButton.click();
    }
}
