package com.nisum.banderson;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.PageFactory;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

public class Login extends Page {

    public Login(WebDriver driver) {
        super(driver);
    }

    public WebElement getEmailInput() {
        return getDriver().findElement(By.id("label-email"));
    }

    public WebElement getPasswordInput() {
        return getDriver().findElement(By.id("label-password"));
    }

    public WebElement getSignInButton() {
        return getDriver().findElement(By.id(("btnSignIn")));
    }

    public void login() {
        WebDriver driver = getDriver();
        Header header = new Header(driver);
        Sidebar sidebar = new Sidebar(driver);
        Login login = new Login(driver);
        PageFactory.initElements(driver, sidebar);

        header.getOpenSidebarButton().click();
        sidebar.openModalButton.click();
        login.getEmailInput().sendKeys(PropertyManager.getInstance().getEmail());
        login.getPasswordInput().sendKeys(PropertyManager.getInstance().getPassword());
        login.getSignInButton().click();
        new WebDriverWait(driver, 20)
                .until(ExpectedConditions.textToBe(
                        By.className("menu-nav__profile-button-sign-in-up"),
                        "Account"
                ));

    }
}
